package com.javaxing.xingmallfeigndubboconsumerbiz.feign;


import com.alibaba.cloud.dubbo.annotation.DubboTransported;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "xingmall-feign-dubbo-producer",path = "/order")
@DubboTransported(protocol = "dubbo")
public interface OrderFeign {

    @GetMapping("/queryOrderById")
    public String queryOrderById(@RequestParam("id") Integer id);
}
