package com.javaxing.xingmallfeigndubboconsumerbiz.controller;

import com.javaxing.xingmallfeigndubboconsumerbiz.feign.OrderFeign;
import com.javaxing.xingmallfeigndubboproducerbiz.service.OrderService;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {


    @DubboReference
    private OrderService orderService;

    @GetMapping("/testFeignToDubbo")
    public String testFeignToDubbo(Integer id){
        return orderService.queryOrderById(id);
    }


}
