package com.javaxing.xingmallorderdubooconsumer.controller;

import com.javaxing.xingmallorderdubooproducer.service.OrderService;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class QueryOrderContrller {

    // 通过注解来使用dubbo调用该接口
    @DubboReference
    private OrderService orderService;


    @GetMapping("/queryOrderById")
    public String queryOrderById(Integer id){
        String result = orderService.queryOrderById(id);
        System.out.println("成功执行根据订单id查询订单详情："+result);
        return result;
    }

    @GetMapping("/queryOrderList")
    public String queryOrderList(){
        String result = orderService.queryOrderList();
        System.out.println("成功执行查询订单列表："+result);
        return result;
    }
}
