package com.javaxing.springbootnacos.Interceptor;

import feign.RequestInterceptor;
import feign.RequestTemplate;

import java.util.UUID;

public class FeignAuthRequestInterceptor implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate template) {
        // 业务逻辑，应用场景：我们可以自定义添加header头做一些认证和携带参数
        String access_token = UUID.randomUUID().toString();
        template.header("Authorization",access_token);
        template.header("AppVersion","1");
    }
}