package com.javaxing.springbootnacos.config;

import com.javaxing.springbootnacos.Interceptor.FeignAuthRequestInterceptor;
import feign.Logger;
import feign.Request;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration  // 全局配置
public class FeignConfig {
    @Bean
    public Logger.Level feignLoggerLevel() {
        return Logger.Level.FULL;
    }
    /**
     * 自定义拦截器
     * @return
     */
//    @Bean
//    public FeignAuthRequestInterceptor feignAuthRequestInterceptor(){
//        return new FeignAuthRequestInterceptor();
//    }

    @Bean
    public Request.Options options() {
        return new Request.Options(5000, 10000);
    }
}